Fedora 官方已解决上次升级 dbus 带来的问题

使用 Fedora 10 几个星期了,新版还是比较稳定的,但前几天安装 dbus 安全更新后, PackageKit 不能正常运行了,错误信息如下:

[[email protected] charles]# yum update -y
载入插件: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* fedora: ftp.twaren.net
* rpmfusion-free-updates: mirror.web-ster.com
* rpmfusion-nonfree-updates: mirror.web-ster.com
* rpmfusion-free: mirror.web-ster.com
* updates: ftp.twaren.net
* rpmfusion-nonfree: mirror.web-ster.com
* fusion: www.lordmorgul.net
设置更新进程


解决依赖相关
–>运行处理检查
—> 包 PackageKit-glib.i386 0:0.3.11-4.fc10 设置为 升级
—> 包 PackageKit-yum-plugin.i386 0:0.3.11-4.fc10 设置为 升级
–> 过程依赖: libpackagekit-glib.so.10 依赖于包: gnome-packagekit
—> 包 PackageKit-yum.i386 0:0.3.11-4.fc10 设置为 升级
—> 包 PackageKit-qt.i386 0:0.3.11-4.fc10 设置为 升级
—> 包 PackageKit-gstreamer-plugin.i386 0:0.3.11-4.fc10 设置为 升级
—> 包 PackageKit.i386 0:0.3.11-4.fc10 设置为 升级
–> 过程依赖: libpackagekit-qt.so.10 依赖于包: kpackagekit
—> 包 PackageKit-udev-helper.i386 0:0.3.11-4.fc10 设置为 升级
–> 完成依赖性检查
gnome-packagekit-0.3.9-8.fc10.i386 已从installed  解决了问题
–> 丢失的依赖相关: libpackagekit-glib.so.10 被包 gnome-packagekit-0.3.9-8.fc10.i386 (installed) 所需要
kpackagekit-0.3.1-4.fc10.i386 已从installed  解决了问题
–> 丢失的依赖相关: libpackagekit-qt.so.10 被包 kpackagekit-0.3.1-4.fc10.i386 (installed) 所需要
错误: 丢失的依赖相关: libpackagekit-qt.so.10 被包 kpackagekit-0.3.1-4.fc10.i386 (installed) 所需要
错误: 丢失的依赖相关: libpackagekit-glib.so.10 被包 gnome-packagekit-0.3.9-8.fc10.i386 (installed) 所需要

安装 libpackagekit-glib.so.10 也于事无补!~

[[email protected] charles]# yum install libpackagekit-glib.so.10
载入插件: fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
* fedora: ftp.twaren.net
* rpmfusion-free-updates: mirror.web-ster.com
* rpmfusion-nonfree-updates: mirror.web-ster.com
* rpmfusion-free: mirror.web-ster.com
* updates: ftp.twaren.net
* rpmfusion-nonfree: mirror.web-ster.com
* fusion: www.lordmorgul.net
设置安装进程
分析安装参数的语法
包 PackageKit-glib-0.3.9-4.fc10.i386 已安装并且是最新版本
无事可做
[[email protected] charles]#

按照 Yuan Yijun 提供的解决办法,修改了 /etc/dbus-1/system.d/org.freedesktop.PolicyKit.conf 文件,虽然期间正常更新了一大堆软件包,但之后执行 yum -y update 仍然提示上面红色部分的错误,今天 Fedora 官方终于解决了更新 dbus 后带来的问题

现在只需要更新一下系统即可,执行 $ su -c ‘yum update’ 然后重启系统就可以解决 PackageKit 的问题了。

6 Replies to “Fedora 官方已解决上次升级 dbus 带来的问题”

  1. >>FengFree
    你用命令直接升级或者你用图形界面的 yumex ,不用 PackageKit 野性,我觉得没影响,不过你还可以装回来,yum install packagekit

  2. [[email protected] ~]$ su
    密码:
    [[email protected] fengfree]# yum install packagekit
    载入插件: allowdowngrade, fastestmirror, presto, refresh-packagekit
    Loading mirror speeds from cached hostfile
    * livna: rpm.livna.org
    * fedora: http://ftp.twaren.net
    * rpmfusion-free-updates: mirrors.cat.pdx.edu
    * rpmfusion-nonfree-updates: mirrors.cat.pdx.edu
    * rpmfusion-free: mirrors.cat.pdx.edu
    * updates: http://ftp.mirror.tw
    * rpmfusion-nonfree: mirrors.cat.pdx.edu
    Setting up and reading Presto delta metadata
    No Presto metadata available for skype
    No Presto metadata available for livna
    No Presto metadata available for fedora
    No Presto metadata available for rpmfusion-free-updates
    No Presto metadata available for rpmfusion-nonfree-updates
    No Presto metadata available for rpmfusion-free
    No Presto metadata available for adobe-linux-i386
    No Presto metadata available for updates
    No Presto metadata available for rpmfusion-nonfree
    设置安装进程
    分析安装参数的语法
    No package packagekit available.
    * Maybe you meant: PackageKit
    无事可做

    好像装不了了!

Leave a Reply

Your email address will not be published. Required fields are marked *